--- old/usr/src/uts/common/fs/lxproc/lxpr_vnops.c	2012-09-27 20:38:36.142613320 +0000
+++ new/usr/src/uts/common/fs/lxproc/lxpr_vnops.c	2012-09-27 20:38:36.154384379 +0000
@@ -2667,9 +2667,9 @@
 		 * number of bytes being returned to the user.  So we set
 		 * uiop->uio_offset separately, ignoring what uiomove() does.
 		 */
-		if (error = uiomove((caddr_t)dirent, reclen, UIO_READ, uiop)) {
+		if ((error = uiomove((caddr_t)dirent, reclen, UIO_READ,
+		    uiop)) != 0)
 			return (error);
-		}
 
 		uiop->uio_offset = uoffset + LXPR_SDSIZE;
 	}
@@ -2805,7 +2805,8 @@
 		 * uiop->uio_offset separately, in the increment of this for
 		 * the loop, ignoring what uiomove() does.
 		 */
-		if (error = uiomove((caddr_t)dirent, reclen, UIO_READ, uiop))
+		if ((error = uiomove((caddr_t)dirent, reclen, UIO_READ,
+		    uiop)) != 0)
 			return (error);
 next:
 		uiop->uio_offset = uoffset + LXPR_SDSIZE;
@@ -2937,7 +2938,8 @@
 			goto out;
 		}
 
-		if (error = uiomove((caddr_t)dirent, reclen, UIO_READ, uiop))
+		if ((error = uiomove((caddr_t)dirent, reclen, UIO_READ,
+		    uiop)) != 0)
 			goto out;
 	}
 
